//
// Created by Иван_Архипов on 07.11.2017.
//

#ifndef LOTRO_DAT_PATCHER_SUBDIRECTORY_H
#define LOTRO_DAT_PATCHER_SUBDIRECTORY_H

extern "C++"
{
namespace LOTRO_DAT {
    class SubDirectory {
    public:
        struct SubDirectoryOffsetComparator {
            bool operator()(const SubDirectory &f, const SubDirectory &s) {
                return f.offset_ < s.offset_;
            }
        };

        SubDirectory() = default;

        SubDirectory(const SubDirectory &other) = default;

        SubDirectory &operator=(const SubDirectory &other) = default;

        SubDirectory(long long unknown, long long offset);

    public:
        long long offset();

    private:
        long long unknown_;
        long long offset_;
    };
}
};

#endif //LOTRO_DAT_PATCHER_SUBDIRECTORY_H
